Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`web`.`wsgi``

module documentation
(source)

An implementation of Python Web Server Gateway Interface v1.0.1.

Class | `WSGIResource` | An `IResource` implementation which delegates responsibility for all resources hierarchically inferior to it to a WSGI application.
Class | `_ErrorStream` | File-like object instances of which are used as the value for the `'wsgi.errors'` key in the `environ` dictionary passed to the application object.
Class | `_InputStream` | File-like object instances of which are used as the value for the `'wsgi.input'` key in the `environ` dictionary passed to the application object.
Class | `_WSGIResponse` | Helper for `WSGIResource` which drives the WSGI application using a threadpool and hooks it up to the `http.Request`.
Function | `_wsgiString` | Convert `string` to an ISO-8859-1 byte string, if it is not already.
Function | `_wsgiStringToBytes` | Return `string` as is; a WSGI string is a byte string in Python 2.

def _wsgiString(string): (source)

Convert `string` to an ISO-8859-1 byte string, if it is not already.

Parameters
string:`str`/`bytes` or `unicode` | Undocumented
Returns
`str`/`bytes` | Undocumented
Raises
`UnicodeEncodeError` | If `string` contains non-ISO-8859-1 chars.

def _wsgiStringToBytes(string): (source)

Return `string` as is; a WSGI string is a byte string in Python 2.

Parameters
string:`str`/`bytes` | Undocumented
Returns
`str`/`bytes` | Undocumented